Name:		ucspi-tcp
Version:	0.88
Release:	1%{?dist}
Summary:	BJD TCP client-server applications.

Group:		System Environment/Daemons
License:	GPLv2
URL:		http://cr.yp.to/ucspi-tcp.html
Source0:	http://cr.yp.to/ucspi-tcp/%{name}-%{version}.tar.gz
Source1:	%{name}-%{version}-man.tar.bz2
Source2:	ucspi-tcp-ssl-20050405.patch.gz
Source3:	ucspi-tcp-0.88.errno.patch
Patch0:		ucspi-tcp-toaster-04182004.patch.bz2
Patch1:		ucspi-tcp-rbltimeout.patch.bz2
Patch2:		ucspi-tcp-limits.patch.bz2

Buildroot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	zlib-devel openssl-devel groff
Requires:	zlib

%description
tcpserver and tcpclient are easy-to-use command-line tools for building TCP client-server applications.

%prep
%setup -q
%setup -q -a 1
gzip -dc %{SOURCE2} | patch -p0

echo "%{__cc} %{optflags}"    > conf-cc
echo "%{__cc} -s %{optflags}" > conf-ld
echo "%{_prefix}" >conf-home

%build
make %{?_smp_mflags}

cp tcpserver tcpserver-ssl
mkdir man1
cp *.1 man1

make clean

gzip -dc %{SOURCE2} | patch -R
patch -p1 < %{SOURCE3}

make %{?_smp_mflags}

%install

%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_mandir}/{man1,man5,man8}
%{__install} --strip -m 755 \
    addcr argv0 delcr fixcrio mconnect-io rblsmtpd recordio \
    tcpclient tcprules tcprulescheck tcpserver tcpserver-ssl \
    %{buildroot}%{_bindir}

%{__install} -m 755 \
    date@ finger@ http@ mconnect tcpcat who@ \
    %{buildroot}%{_bindir}

%{__install} -m 644 man1/*.1 %{buildroot}%{_mandir}/man1
%{__install} -m 644 ucspi-tcp-%{version}-man/*.5 %{buildroot}%{_mandir}/man5
%{__install} -m 644 ucspi-tcp-%{version}-man/*.8 %{buildroot}%{_mandir}/man8

%files
%doc CHANGES README TODO VERSION
%defattr (0755,root,root)
%{_bindir}/addcr
%{_bindir}/argv0
%{_bindir}/date@
%{_bindir}/delcr
%{_bindir}/finger@
%{_bindir}/fixcrio
%{_bindir}/http@
%{_bindir}/mconnect
%{_bindir}/mconnect-io
%{_bindir}/rblsmtpd
%{_bindir}/recordio
%{_bindir}/tcpcat
%{_bindir}/tcpclient
%{_bindir}/tcprules
%{_bindir}/tcprulescheck
%{_bindir}/tcpserver
%{_bindir}/tcpserver-ssl
%{_bindir}/who@

%defattr(0644,root,root)
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%{_mandir}/man8/*.8*

%changelog
* Sat Feb 23 2013 momo-i <webmaster@momo-i.org> 0.88-1
- Initial rpm release.
